org.apache.tinkerpop.gremlin.structure.io.graphson

## Class GraphSONIo.Builder

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.graphson.GraphSONIo.Builder

- All Implemented Interfaces:
    Io.Builder<GraphSONIo>
  Enclosing class:
    GraphSONIo

      public static final class GraphSONIo.Builder
      extends Object
      implements Io.Builder<GraphSONIo>

- - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `GraphSONIo` | `create()` Providers call this method in the `Graph.io(Io.Builder)` method to construct the `Io` instance and return the value.
    `Io.Builder<GraphSONIo>` | `graph(Graph g)` Providers use this method to supply the current instance of their `Graph` to the builder.
    `Io.Builder<? extends Io>` | `onMapper(Consumer<Mapper.Builder> onMapper)` Allows a `Graph` implementation to have full control over the `Mapper.Builder` instance.
    `Io.Builder<GraphSONIo>` | `registry(IoRegistry registry)` Deprecated. As of release 3.2.2, replaced by `onMapper(Consumer)`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### registry

          @Deprecated
          public Io.Builder<GraphSONIo> registry(IoRegistry registry)

      Deprecated. As of release 3.2.2, replaced by `onMapper(Consumer)`.
      Description copied from interface: `Io.Builder`
      Providers use this method to supply an `IoRegistry` to the `Io` implementation. End-users should not use this method directly. If a user wants to register custom serializers, then such things can be done via calls to `Io.mapper()` after the `Io` is constructed via `Graph.io(Io.Builder)`.
      Specified by:
        `registry` in interface `Io.Builder<GraphSONIo>`

    - #### onMapper

          public Io.Builder<? extends Io> onMapper(Consumer<Mapper.Builder> onMapper)

      Description copied from interface: `Io.Builder`
      Allows a `Graph` implementation to have full control over the `Mapper.Builder` instance. Typically, the implementation will just pass in its `IoRegistry` implementation so that the `Mapper` that gets built will have knowledge of any custom classes and serializers it may have. Note that if `Io.Builder.registry(IoRegistry)` is also set on a `Builder` instance it will be applied first prior to that instance being passed to `Consumer`.

      End-users should not use this method directly. If a user wants to register custom serializers, then such things can be done via calls to `Io.mapper()` after the `Io` is constructed via `Graph.io(Io.Builder)`.
      Specified by:
        `onMapper` in interface `Io.Builder<GraphSONIo>`

    - #### graph

          public Io.Builder<GraphSONIo> graph(Graph g)

      Description copied from interface: `Io.Builder`
      Providers use this method to supply the current instance of their `Graph` to the builder. End-users should not call this method directly.
      Specified by:
        `graph` in interface `Io.Builder<GraphSONIo>`

    - #### create

          public GraphSONIo create()

      Description copied from interface: `Io.Builder`
      Providers call this method in the `Graph.io(Io.Builder)` method to construct the `Io` instance and return the value. End-users will typically not call this method.
      Specified by:
        `create` in interface `Io.Builder<GraphSONIo>`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.